Skip to main content
GET
/
api
/
v1
/
accounts
/
{account_id}
/
whatsapp_templates
List WhatsApp templates
curl --request GET \
  --url https://connect.voxys.ai/api/v1/accounts/{account_id}/whatsapp_templates \
  --header 'api_access_token: <api-key>'
[
  {
    "id": 123,
    "name": "<string>",
    "language": "en_US",
    "whatsapp_channel_id": 123,
    "components": [
      {
        "text": "<string>",
        "buttons": [
          {
            "text": "<string>",
            "url": "<string>",
            "phone_number": "<string>"
          }
        ],
        "cards": [
          {
            "components": "<array>"
          }
        ]
      }
    ],
    "variable_mappings": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api_access_token
string
header
required

All API requests must include the api_access_token header with a valid agent or administrator token.

Query Parameters

whatsapp_channel_id
integer

Filter by WhatsApp channel (inbox) ID

status
enum<string>

Filter by template status

Available options:
draft,
pending,
approved,
rejected,
paused
category
enum<string>

Filter by category

Available options:
MARKETING,
UTILITY,
AUTHENTICATION
language
string

Filter by language code (e.g. en_US, ar)

Search by template name

page
integer
default:1

Response

Templates list

id
integer
name
string
category
enum<string>
Available options:
MARKETING,
UTILITY,
AUTHENTICATION
language
string
Example:

"en_US"

status
enum<string>
Available options:
draft,
pending,
approved,
rejected,
paused
whatsapp_channel_id
integer
parameter_format
enum<string>
Available options:
named,
positional
components
object[]
variable_mappings
object
created_at
string<date-time>
updated_at
string<date-time>